FSSAI Verification API
This document outlines the details of the FSSAI Verification API.
API Description
Objective
The FSSAI Verification API retrieves details about a food business, including the validity of its FSSAI license, the registered name, address, and other related information.
API URL
https://ind.thomas.hyperverge.co/v1/verifyFSSAILicense
API Endpoint
verifyFSSAILicense
Overview
The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format, and you should upload all images and files as form-data through a POST request.
Authentication
You need a unique pair of application ID (appId) and application key (appKey) from HyperVerge to verify your identity for accessing the API.
API Request Details
Method - POST
Headers
| Parameter | Mandatory or Optional | Description | Allowed Values |
|---|---|---|---|
| content-type | Mandatory | The media type for the request payload | application/json |
| appId | Mandatory | The application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab | This should be a unique value |
| appKey | Mandatory | The application key shared by HyperVerge. You can find the details in the dashboard's credentials tab | This should be a unique value |
| transactionId | Mandatory | A unique identifier for tracking a user journey | This should be both unique and easily associated with the user's journey in your application(s) |
Inputs
The following table provides the details of the parameters required for the API's request body:
| Parameter | Mandatory or Optional | Description | Allowed Values | Default Value |
|---|---|---|---|---|
licenseNumber | Mandatory | The license number of the business | A 14-digit numeric value(entered as a string) | Not Applicable |
Consent | Mandatory | The consent flag indicating the permission to perform verification | "Y" or "N" | Not Applicable |
includeProducts | Mandatory | The flag to include the list of products associated with the license | A boolean value (true or false) | Not Applicable |
Request
The following code snippet demonstrates a standard curl request for the API:
curl --location --request POST 'https://ind-engine.thomas.hyperverge.co/v1/verifyFSSAILicense' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"licenseNumber": "<Enter_the_14_digit_license_number>",
"consent": "<Enter_Y_or_N>",
"includeProducts": "<true_or_false>"
}'
Success Response
The following code snippet demonstrates a success response from the API:
{
"status": "success",
"statusCode": 200,
"data": {
"name": "<Name_of_the_business>",
"address": "<Address_of_the_business>",
"taluk": "<Taluk>",
"district": "<District>",
"state": "<State>",
"pincode": "<PIN_Code>",
"fbo_id": "<Food_Business_Operator_ID>",
"type": "Central License",
"active": true,
"products": [
{
"kind_of_business_id": "101",
"kind_of_business_name": "Dairy units",
"product_name": "Flavoured Milk"
},
{
"kind_of_business_id": "101",
"kind_of_business_name": "Dairy units",
"product_name": "Ice Cream, Kulfi, Chocolate Ice Cream, Softy Ice-Cream, Milk Ice, Milk Lolly and Dried Ice Cream Mix"
},
{
"kind_of_business_id": "101",
"kind_of_business_name": "Dairy units",
"product_name": "Frozen Desserts or Confections with Added Vegetable Oil/ Fat or Vegetable Protein, or both"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Dairy- based drink Intermediate Product (Protein Rich Food)"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Dairy-based drink (Protein Rich Food) (Chocolate Flavour)"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Dairy-based drink (Protein Rich Food) (Chocolate Flavour)"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Dairy-based drink (Protein Rich Food) (Kesar Flavour)"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Dairy -based drink (Protein Rich Food) (Vanilla Flavour)"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Dairy -based drink (Protein Rich Food) (Vanilla Flavour)"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Dairy-based drink (Protein Rich Food) (Vanilla Flavour)"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Dairy Based Drink (Protein Rich Food) (Vanilla Flavour)"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Chilli Gravy Mix"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Manchurian Gravy Mix"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Manchurian Mix"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Caramel Flavored Instant Coffee"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Cereal Based Beverage (Badam Flavour)"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Cereal Based Beverage (Caramel Flavour)"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Cereal Based Beverage (Chocolate Flavour)"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Cereal Based Beverage (Regular Malt Flavour)"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Hazelnut Flavored Instant Coffee"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Vanilla Flavored Instant Coffee"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Fruit Based Gummies (Strawberry flavour)"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Cereal Based Beverage Mix"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Cereal Based Beverage Mix (Chocolate Flavour)"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Cereal Based Beverage Mix (Vanilla Flavour)"
},
{
"kind_of_business_id": "109",
"kind_of_business_name": "Proprietary Food",
"product_name": "Dairy Based Drink"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Ice Lollies or Edible Ices"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Jams, Fruit Jellies and Marmalades"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Thermally Processed Fruit Pulp/ Puree and Sweetened Fruit Pulp/Puree other than Mango"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Atta "
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Whole Maize (Corn) Flour"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Custard powder"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Rolled Oats"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Macaroni Products (Pre-Cooked)"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Malted Milk Food"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Malt Based Foods(Malt Food)"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Biscuit "
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Iodised salt"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Iron Fortified Iodized Salt (double fortied salt)"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Seasoning"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Soup Powders"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Tomato Ketchup and Tomato Sauce"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Culinary Sauce"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Squash "
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Tea"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Coffee"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Coffee-Chicory Mixture"
},
{
"kind_of_business_id": "105",
"kind_of_business_name": " General Manufacturing",
"product_name": "Green Tea"
},
{
"kind_of_business_id": "151",
"kind_of_business_name": "Substances Added to Food",
"product_name": "Baking powder"
},
{
"kind_of_business_id": "146",
"kind_of_business_name": "Food or Health Supplements and Nutraceuticals etc.",
"product_name": "Food for Special Dietary Use- Food for Individuals to help support recovery (Chocolate Flavour)"
},
{
"kind_of_business_id": "146",
"kind_of_business_name": "Food or Health Supplements and Nutraceuticals etc.",
"product_name": "Food for Special Dietary Use- Food for Individuals to Help Support Recovery (Vanilla Flavour)"
},
{
"kind_of_business_id": "146",
"kind_of_business_name": "Food or Health Supplements and Nutraceuticals etc.",
"product_name": "Food for Special Dietary Use (Food for managing glucose (Vanilla Flavour)"
},
{
"kind_of_business_id": "146",
"kind_of_business_name": "Food or Health Supplements and Nutraceuticals etc.",
"product_name": "Food for Special Dietary Use - Food for Pregnant and Lactating Women (Kesar Flavour)"
},
{
"kind_of_business_id": "146",
"kind_of_business_name": "Food or Health Supplements and Nutraceuticals etc.",
"product_name": "Food for Special Dietary Use - Food for Pregnant and Lactating Women (Kesar Flavour)"
},
{
"kind_of_business_id": "146",
"kind_of_business_name": "Food or Health Supplements and Nutraceuticals etc.",
"product_name": "Food for Special Dietary Use - Food for Pregnant and Lactating Women (Vanilla Flavor)"
},
{
"kind_of_business_id": "146",
"kind_of_business_name": "Food or Health Supplements and Nutraceuticals etc.",
"product_name": "Food for Special Dietary Use - Food for Strengthening Bones and Muscles"
},
{
"kind_of_business_id": "146",
"kind_of_business_name": "Food or Health Supplements and Nutraceuticals etc.",
"product_name": "Nutraceutical - Fruit Based Gummies (Strawberry Flavour) "
},
{
"kind_of_business_id": "146",
"kind_of_business_name": "Food or Health Supplements and Nutraceuticals etc.",
"product_name":"Nutraceutical (Mulberry Leaf Extract Gummies (IngredientsMulberry Leaf Extract with permitted list of additives) "
}
]
},
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}
### Success Response Details
<table>
<thead>
<tr>
<th>Parameter</th>
<th>Type</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>status</td>
<td>string</td>
<td>The status of the API response</td>
</tr>
<tr>
<td>statusCode</td>
<td>integer</td>
<td>The HTTP status code returned by the API</td>
</tr>
<tr>
<td>name</td>
<td>string</td>
<td>The name of the FSSAI license holder</td>
</tr>
<tr>
<td>address</td>
<td>string</td>
<td>The address of the FSSAI license holder</td>
</tr>
<tr>
<td>taluk</td>
<td>string</td>
<td>The taluk associated with the license holder</td>
</tr>
<tr>
<td>district</td>
<td>string</td>
<td>The district associated with the license holder</td>
</tr>
<tr>
<td>state</td>
<td>string</td>
<td>The state in which the license is issued</td>
</tr>
<tr>
<td>pincode</td>
<td>string</td>
<td>The postal code of the license holder's address</td>
</tr>
<tr>
<td>fbo_id</td>
<td>string</td>
<td>The Food Business Operator ID associated with the license</td>
</tr>
<tr>
<td>type</td>
<td>string</td>
<td>The type of FSSAI license issued</td>
</tr>
<tr>
<td>active</td>
<td>boolean</td>
<td>Indicates whether the FSSAI license is active</td>
</tr>
<tr>
<td>products</td>
<td>array</td>
<td>A list of products registered under the FSSAI license</td>
</tr>
<tr>
<td>kind_of_business_id</td>
<td>string</td>
<td>The ID representing the kind of business</td>
</tr>
<tr>
<td>kind_of_business_name</td>
<td>string</td>
<td>The name describing the kind of business</td>
</tr>
<tr>
<td>product_name</td>
<td>string</td>
<td>The name of the product registered under the license</td>
</tr>
<tr>
<td>requestId</td>
<td>string</td>
<td>The unique identifier associated with the API request</td>
</tr>
<tr>
<td>transactionId</td>
<td>string</td>
<td>The transaction identifier sent in the request</td>
</tr>
</tbody>
</table>
## Failure Response
The following code snippet displays a failure response from the API:
```json
{
"status": "failure",
"statusCode": 404,
"error": "FSSAI license number does not exist.",
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}
Error Responses
The following are some error responses from the API:
- Invalid License Number
- Missing/Invalid Credentials
- Internal Server Error
{
"status": "failure",
"statusCode": 400,
"error": "FSSAI license number invalid.",
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}
{
"message": "Missing/Invalid credentials",
"statusCode": 401,
"status": "failure"
}
{
"message": "Internal Server Error",
"statusCode": 500,
"status": "failure"
}
Failure and Error Response Details
An error response from the API contains a failure status, with a relevant status code and error message. The following table lists all error responses:
| Status Code | Error Message | Error Description |
|---|---|---|
| 400 | FSSAI license number invalid. | The error is due to an invalid FSSAI license number input, possibly because it contains special characters |
| 401 | Missing/Invalid credentials | The request is either missing the mandatory appId and appKey combination or has invalid values |
| 403 | Access Denied | Please contact the HyperVerge team for resolution |
| 404 | FSSAI license number does not exist | The provided FSSAI license number does not exist in the data source |
| 500 | Internal Server Error | Please check the request headers or contact the HyperVerge team for resolution |